Subject: bug#809: transient mark mode gets activated every time i move

From: Chong Yidong <[email-masked]>
Date: Thu, 28 Aug 2008 14:57:41 -0400

"Larry D'anna" <[email-masked]> writes:

>> In the current Emacs 23 code, I don't believe transient-mark-mode takes
>> on the value (only).  You may have some stale files not corresponding to
>> the latest CVS, so I'd suggest trying a fresh checkout and trying again.
>>
> yea i suspected that was the problem.  I've already tried it and it
> still happens on a fresh checkout :-/

One other possibility is that your X server is sending spurious shift
modifiers to Emacs.  Could you try setting shift-select-mode to nil and
seeing if the problem persists?